import { myFetch} from '../utils/fetch';
import { httpApi } from '@/common/js/baseUrl'; 
import zlbApi from "@/api/zlbApi";
// 保存求助信息 '/callingHelp/save'
export function saveHelp(data) {
	const url = zlbApi.callingHelpSave; // '/callingHelp/save'
	return myFetch(url, 'post', data, 'json');
}

// 查询求助记录 '/callingHelp/selectPageData'
export function getHelpRecords(data) {
	const url = zlbApi.callingHelpPageData; // '/callingHelp/selectPageData'
	return myFetch(url, 'post', data, 'json');
}

// 查询求助详情 '/callingHelp/detail'
export function getHelpDetail(data) {
	const url = zlbApi.callingHelpDetail; // '/callingHelp/detail'
	return myFetch(url, 'get', data, 'json');
}

// 查询门牌关联事件 '/callingHelp/getRelateInfo'
export function getRelateInfo(data) {
	const url = zlbApi.getRelateInfo; // '/callingHelp/getRelateInfo'
	return myFetch(url, 'post', data, 'json');
}
